Package com.arms.api.jira.jiraproject.controller

## Class JiraProjectController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraProject,​JiraProjectDTO,​JiraProjectEntity>
  - - com.arms.api.jira.jiraproject.controller.JiraProjectController

-     @Controller
      @RequestMapping("/arms/jiraProject")
      public class JiraProjectController
      extends TreeAbstractController<JiraProject,​JiraProjectDTO,​JiraProjectEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraProjectController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `getProjectIssueTypeList​(javax.servlet.http.HttpServletRequest request, JiraProjectDTO jiraProjectDTO)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `클라우드서버_지라프로젝트_항목별_기본값_설정​(javax.servlet.http.HttpServletRequest request, java.lang.String 설정할_항목, java.lang.Long targetCId, JiraProjectDTO jiraProjectDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraProjectController

          public JiraProjectController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getProjectIssueTypeList

          @ResponseBody
          @RequestMapping(value="/getProjectIssueType.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getProjectIssueTypeList​(javax.servlet.http.HttpServletRequest request,
                                                                                    JiraProjectDTO jiraProjectDTO)
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 클라우드서버_지라프로젝트_항목별_기본값_설정

          @ResponseBody
          @RequestMapping(value="/{defaultTarget}/makeDefault.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> 클라우드서버_지라프로젝트_항목별_기본값_설정​(javax.servlet.http.HttpServletRequest request,
                                                                                     @PathVariable(name="defaultTarget")
                                                                                     java.lang.String 설정할_항목,
                                                                                     @RequestParam(name="targetCId")
                                                                                     java.lang.Long targetCId,
                                                                                     JiraProjectDTO jiraProjectDTO)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`